#!/bin/bash
#
set -xe
bash -n "$0"

# VARS
tasks_dir="${TASKS:-/var/lib/bughunting/tasks}"
whitelist="name|check_files|copy_task_on_server"

abort () {
  echo "Error:" "$@" >&2
  exit 1
}

ls -d ${tasks_dir}/*/ &>/dev/null || die "Invalid tasks dir: $tasks_dir"

cd "$tasks_dir"

# Copy the installed tasks into the client's home
for task_path in $(ls -d */); do
  sed ':a;N;$!ba;s/\:\s*\n\s*-/:____-/g' "${task_path}task.yml" \
    | grep -E "^($whitelist):" \
    | sed ':a;N;$!ba;s/\:____\-/:\n    -/g' \
    > "${task_path}task_new.yml"

  mv -f "${task_path}task_new.yml" "${task_path}task.yml"
done
